remote capture app (istopmotion)

The web page says that the app is available to iPod Touch 4th generation, but the app says it is only available to iOS 7.
Why is this? Please answer

The current, updated version is for iOS 7 only. Previous versions are iOS 6 compatible though. The Appstore directly on your iPod Touch should offer you the previous version though.